package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@ApiModel(value = "GoblinZhengzaiPushVo", description = "正在下单出货Vo")
@Data
public class GoblinZhengzaiPushVo implements Serializable, Cloneable {
    private static final long serialVersionUID = 972558538207500034L;
    @ApiModelProperty(position = 10, value = "spu名称")
    private String spuName;
    @ApiModelProperty(position = 10, value = "sku名称")
    private String skuName;
    @ApiModelProperty(position = 10, value = "款式规格[json]")
    private String skuSpecs;
    @ApiModelProperty(position = 11, value = "数量")
    private Integer num;
    @ApiModelProperty(position = 11, value = "状态[同订单状态]")
    private int status;


    private static final GoblinZhengzaiPushVo obj = new GoblinZhengzaiPushVo();

    public static GoblinZhengzaiPushVo getNew() {
        try {
            return (GoblinZhengzaiPushVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GoblinZhengzaiPushVo();
        }
    }
}
